mod grid;
mod player;

use grid::Grid;
use player::Player;

#[derive(Debug, Default)]
pub struct HouseState {
	grid: Grid,
	player: Player
}

pub fn draw(state: &crate::State, _engine: &comfy::EngineContext<'_>) {
	if let Some(house) = state.house() {
		//Draw Grid
		house.grid.draw();

		//Draw Player
		house.player.draw();
	}
}

pub fn update(state: &mut crate::State, _engine: &mut comfy::EngineContext<'_>) {
	let house = state.house_mut();
	house.player.update(&house.grid);
}
